@echo off
rem This program creates a custom Ini file
rem of the name UT2004_PACKAGE-NAME.ini

echo Create new *.ini file for

rem #1
echo File to be used: %1
if "%1"=="" (

  echo You must enter the name of the package to
  echo use as the basis of the *.ini
  echo file name
  goto ERROR
  rem go to the end, no action.
)

rem #2
if "%2"=="" (
  echo You must provide the path to the UT2004 directory
  echo Example: c:\UT2004
  goto ERROR
)

rem #3
echo Creating . . .
IF NOT exist "%2\%1" mkdir "%2\%1"
IF NOT exist "%2\%1\Classes" mkdir "%2\%1\Classes"
IF NOT exist "%2\%1\UT2004_%1.ini" copy "%2\System\UT2004.ini" "%2\%1\UT2004_%1.ini"


rem #4
echo %2\%1\UT2004_%1.ini file created
notepad "%2\%1\UT2004_%1.ini"

:ERROR
rem pause
exit